Get the status for a data stream lifecycle
- GET /{index}/_lifecycle/explain
Get information about an index or data stream's current data stream lifecycle status, such as time since index creation, time since rollover, the lifecycle configuration managing the index, or any errors encountered during lifecycle execution.
About data stream lifecycleResponse
-
indicesmap string to objectrequired -
<string>object -
lifecycleobject -
data_retentionstring -
If defined, every document added to this data stream will be stored at least for this time frame. Any time after this duration the document could be deleted. When empty, every document in this data stream will be stored indefinitely.
-
retention_determined_by -
Configuration source that can influence the retention of a data stream.
-
Values:
data_stream_configurationdefault_global_retentionmax_global_retentiondefault_failures_retention -
downsamplingobject -
The list of downsampling rounds to execute as part of this downsampling configuration
-
downsampling_method -
The method used to downsample the data. There are two options
aggregateandlast_value. It requiresdownsamplingto be defined. Defaults toaggregate. -
Values:
aggregatelast_value -
enabledboolean · default: true -
If defined, it turns data stream lifecycle on/off (
true/false) for this data stream. A data stream lifecycle that's disabled (enabled:false) will have no effect on the data stream. -
frozen_afterstring -
The period after which data stream backing indices are automatically converted to partially mounted searchable snapshots. This field is valid only on main data stream lifecycles and cannot be set on failure-store lifecycles.
-
rolloverobject -
The conditions which will trigger the rollover of a backing index as configured by the cluster setting
cluster.lifecycle.default.rollover. This property is an implementation detail and it will only be retrieved when the query paraminclude_defaultsis set to true. The contents of this field are subject to change.